
package de.ivu.elect.presentation.email.action;

import de.ivu.elect.business.email.boundary.EmailVorgangChangeEvent;
import de.ivu.elect.business.email.entity.EmailVorgang;
import de.ivu.elect.presentation.menu.AbstractActionEntry;
import de.ivu.elect.presentation.security.AbstractGebietSecurity;

import javax.inject.Inject;

public abstract class AbstractEmailVorgangAction extends AbstractActionEntry<EmailVorgang> {

  private static final long serialVersionUID = 1L;

  @Inject
  private EmailVorgangChangeEvent emailVorgangChangeEvent;

  public AbstractEmailVorgangAction() {
    super();
  }

  @Override
  protected AbstractGebietSecurity getGebietSecurity() {
    return AbstractActionEntry.KEINE_GEBIET_SECURITY;
  }

  @Override
  protected void fireChangeEvent() {
    emailVorgangChangeEvent.sendChangeEvent();
  }
}
